Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMergeFields Class Reference

`#include <vtkMergeFields.h>`

Inheritance diagram for vtkMergeFields:

[legend]
Collaboration diagram for vtkMergeFields:

[legend]
List of all members.

## Detailed Description

Merge multiple fields into one.

Date:
  2002/12/10 19:07:57

Revision:
  1.10

vtkMergeFields is used to merge mutliple field into one. The new field is put in the same field data as the original field. For example

     mf->SetOutputField("foo", vtkMergeFields::POINT_DATA);
     mf->SetNumberOfComponents(2);
     mf->Merge(0, "array1", 1);
     mf->Merge(1, "array2", 0);

will tell vtkMergeFields to use the 2nd component of array1 and the 1st component of array2 to create a 2 component field called foo. The same can be done using Tcl:

     mf SetOutputField foo POINT_DATA
     mf Merge 0 array1 1
     mf Merge 1 array2 0

     Field locations: DATA_OBJECT, POINT_DATA, CELL_DATA

See also:
  vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter vtkDataSetAttributes vtkDataArray vtkRearrangeFields vtkSplitField vtkAssignAttribute

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (83%)
  - King, Brad (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkMergeFields.cxx)`
  - .`h` (`/Graphics/vtkMergeFields.h)`

Tests:
  vtkMergeFields (Tests)

Definition at line 70 of file vtkMergeFields.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
enum | FieldLocations { DATA_OBJECT = 0, POINT_DATA = 1, CELL_DATA = 2 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutputField (const char *name, int fieldLoc)
void | SetOutputField (const char *name, const char *fieldLoc)
void | Merge (int component, const char *arrayName, int sourceComp)
virtual void | SetNumberOfComponents (int)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkMergeFields * | SafeDownCast (vtkObject *o)
vtkMergeFields * | New ()
## Protected Types
enum | FieldType { NAME, ATTRIBUTE }
## Protected Methods
| vtkMergeFields ()
virtual | ~vtkMergeFields ()
void | Execute ()
int | MergeArray (vtkDataArray *in, vtkDataArray *out, int inComp, int outComp)
Component * | GetNextComponent (Component *op)
Component * | GetFirst ()
void | AddComponent (Component *op)
Component * | FindComponent (int index)
void | DeleteAllComponents ()
void | PrintComponent (Component *op, ostream &os, vtkIndent indent)
void | PrintAllComponents (ostream &os, vtkIndent indent)
## Protected Attributes
char * | FieldName
int | FieldLocation
int | NumberOfComponents
int | OutputDataType
Component * | Head
Component * | Tail
## Static Protected Attributes
char | FieldLocationNames [3][12]

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkMergeFields::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 73 of file vtkMergeFields.h.

## Member Enumeration Documentation

enum vtkMergeFields::FieldLocations

  | Enumeration values:
  DATA_OBJECT |
  POINT_DATA |
  CELL_DATA |
Definition at line 98 of file vtkMergeFields.h.

enum vtkMergeFields::FieldType`[protected]`

  | Enumeration values:
  NAME |
  ATTRIBUTE |
Definition at line 131 of file vtkMergeFields.h.

## Constructor & Destructor Documentation

vtkMergeFields::vtkMergeFields | ( |  | ) | `[protected]`

virtual vtkMergeFields::~vtkMergeFields | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual const char* vtkMergeFields::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkMergeFields::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkMergeFields::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkMergeFields* vtkMergeFields::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkMergeFields::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkMergeFields* vtkMergeFields::New | ( |  | ) | `[static]`

| Create a new vtkMergeFields. Reimplemented from vtkObject.

void vtkMergeFields::SetOutputField | ( | const char * | name,
|  | int | fieldLoc
| ) |

| The output field will have the given name and it will be in fieldLoc (the input fields also have to be in fieldLoc).

void vtkMergeFields::SetOutputField | ( | const char * | name,
|  | const char * | fieldLoc
| ) |

| Helper method used by the other language bindings. Allows the caller to specify arguments as strings instead of enums.Returns an operation id which can later be used to remove the operation.

void vtkMergeFields::Merge | ( | int | component,
|  | const char * | arrayName,
|  | int | sourceComp
| ) |

| Add a component (arrayName,sourceComp) to the output field.

virtual void vtkMergeFields::SetNumberOfComponents | ( | int |  | ) | `[virtual]`

| Set the number of the components in the output field. This has to be set before execution. Default value is 0.

void vtkMergeFields::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkMergeFields::MergeArray | ( | vtkDataArray * | in,
|  | vtkDataArray * | out,
|  | int | inComp,
|  | int | outComp
| ) | `[protected]`

Component* vtkMergeFields::GetNextComponent | ( | Component * | op | ) | `[inline, protected]`

| Definition at line 158 of file vtkMergeFields.h. References vtkMergeFields::Component::Next.

Component* vtkMergeFields::GetFirst | ( |  | ) | `[inline, protected]`

| Definition at line 160 of file vtkMergeFields.h.

void vtkMergeFields::AddComponent | ( | Component * | op | ) | `[protected]`

Component* vtkMergeFields::FindComponent | ( | int | index | ) | `[protected]`

void vtkMergeFields::DeleteAllComponents | ( |  | ) | `[protected]`

void vtkMergeFields::PrintComponent | ( | Component * | op,
|  | ostream & | os,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkMergeFields::PrintAllComponents | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[protected]`

## Member Data Documentation

char* vtkMergeFields::FieldName`[protected]`

| Definition at line 143 of file vtkMergeFields.h.

int vtkMergeFields::FieldLocation`[protected]`

| Definition at line 144 of file vtkMergeFields.h.

int vtkMergeFields::NumberOfComponents`[protected]`

| Definition at line 145 of file vtkMergeFields.h.

int vtkMergeFields::OutputDataType`[protected]`

| Definition at line 146 of file vtkMergeFields.h.

char vtkMergeFields::FieldLocationNames[3][12]`[static, protected]`

| Definition at line 148 of file vtkMergeFields.h.

Component* vtkMergeFields::Head`[protected]`

| Definition at line 154 of file vtkMergeFields.h.

Component* vtkMergeFields::Tail`[protected]`

| Definition at line 155 of file vtkMergeFields.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMergeFields.h